@@ -10,7 +10,7 @@ Homepage: https://xfs.wiki.kernel.org/
Package: xfsprogs
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dbus, python3:any
Provides: fsck-backend
-Suggests: xfsdump, acl, attr, quota
+Suggests: xfsdump, acl, attr, quota, python3-jsonschema
Breaks: xfsdump (<< 3.0.0)
Replaces: xfsdump (<< 3.0.0)
Architecture: linux-any
@@ -24,5 +24,13 @@ case "${1}" in
esac
#DEBHELPER#
+#
+# dh_installsystemd doesn't handle template services even if we supply a
+# default instance, so we'll install it here.
+if [ -z "${DPKG_ROOT:-}" ] && [ -d /run/systemd/system ] ; then
+ if [ "$1" = "configure" ] || [ "$1" = "abort-upgrade" ] || [ "$1" = "abort-deconfigure" ] || [ "$1" = "abort-remove" ] ; then
+ /bin/systemctl enable xfs_scrubbed@.service || true
+ fi
+fi
exit 0
new file mode 100644
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+# dh_installsystemd doesn't handle template services even if we supply a
+# default instance, so we'll install it here.
+if [ -z "${DPKG_ROOT:-}" ] && [ "$1" = remove ] && [ -d /run/systemd/system ] ; then
+ /bin/systemctl disable xfs_scrubbed@.service || true
+fi
+
+#DEBHELPER#
+
+exit 0
@@ -19,7 +19,7 @@ RequiresMountsFor=%f
Type=exec
Environment=SERVICE_MODE=1
ExecCondition=@pkg_libexec_dir@/xfs_scrubbed --check %f
-ExecStart=@pkg_libexec_dir@/xfs_scrubbed --log %f
+ExecStart=@pkg_libexec_dir@/xfs_scrubbed --autofsck --log %f
SyslogIdentifier=%N
# Run scrub with minimal CPU and IO priority so that nothing else will starve.